Page MenuHomePhabricator

OOUI Documentation: ClippableElement: Fix typo in #$element
Closed, DeclinedPublic

Description

Skills

JavaScript / JSDoc◾️◾️◽️◽️◽️

$element is not a link and should not have the preceding #

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2018, 10:31 AM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptDec 8 2018, 3:02 AM

Change 478386 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/core@master] Fix typo "#$element" in the OOUI Documentation

https://gerrit.wikimedia.org/r/478386

Zoranzoki21 moved this task from Inbox to To deploy on the User-Zoranzoki21 board.Dec 8 2018, 3:17 AM

Change 478386 abandoned by Zoranzoki21:
Fix typo "#$element" in the OOUI Documentation

Reason:
Will be done in oojs/ui (if I find this typo there)

https://gerrit.wikimedia.org/r/478386

Change 479269 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[oojs/ui@master] Fix typo "#$element" in the OOUI Documentation

https://gerrit.wikimedia.org/r/479269

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Dec 12 2018, 11:22 PM

Why is $element not a link? I note on https://doc.wikimedia.org/oojs-ui/master/js/#!/api/OO.ui.mixin.ClippableElement that $clippable and $clippableContainer are links. Shouldn't we be fixing $element to be a link, rather than unlinking it?

Volker_E added a subscriber: Volker_E.EditedDec 14 2018, 5:54 PM

@Prtksxna JSDoc is continuing to support those links?

Why is $element not a link? I note on https://doc.wikimedia.org/oojs-ui/master/js/#!/api/OO.ui.mixin.ClippableElement that $clippable and $clippableContainer are links. Shouldn't we be fixing $element to be a link, rather than unlinking it?

I thought so as well, but wasn't sure (still not) where it should link to… https://doc.wikimedia.org/oojs-ui/master/js/#!/api/OO.ui.Element-cfg-S-element?

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Jan 3 2019, 2:41 PM
Zoranzoki21 added a subscriber: Zoranzoki21.
Zoranzoki21 removed a subscriber: Zoranzoki21.

I am not sure what I should do, so I removed assignee to me.

Change 479269 abandoned by Zoranzoki21:
Fix typo "#$element" in the OOUI Documentation

https://gerrit.wikimedia.org/r/479269

Volker_E closed this task as Declined.Jan 8 2019, 8:45 PM
Volker_E removed a project: Google-Code-in-2018.
Volker_E added a subscriber: Zoranzoki21.

Without further clarification 'declined' as is.
Thanks @Zoranzoki21 for your attempt on this though!